package org.example;

import java.util.concurrent.CompletableFuture;

public class JoinErrorHandlingExample {
    public static void main(String[] args) {
        CompletableFuture<Integer> future = CompletableFuture.supplyAsync(() -> {
            throw new RuntimeException("Something went wrong");
        });

        try {
            int result = future.join();
            System.out.println("Result: " + result);
        } catch (Exception e) {
            System.err.println("Caught exception: " + e);
        }
    }
}